## NewTabber

Simple script I use to generate my [static new tab page](https://static.sitosis.com/newtab.html).

### Usage

Create a `links.json` containing the links you want. See `links.json.example` for an example. The `icon` attribute is the name of the [Bootstrap icon](https://icons.getbootstrap.com/) to use. Each icon used is initially fetched from the web and then cached locally in an `icon-cache` directory for future uses.

You can also edit the files in `templates` and some of the variables defined at the top of `generate.pl` to customize the look and behavior of the page.

Then simply run the `generate.pl` script. It will create or overwrite an existing `newtab.html` in the same directory.

### Installation

You'll need to install Perl, plus the Perl modules `utf8`, `JSON`, `LWP::UserAgent`, `LWP::Protocol::https`, and `Storable` either from CPAN or using your distribution's package manager.
